org.eclipse.eef.ide.ui.internal

## Class EEFIdeUiPlugin

- java.lang.Object
- - org.eclipse.emf.common.util.DelegatingResourceLocator
  - - org.eclipse.emf.common.EMFPlugin
    - - org.eclipse.eef.ide.ui.internal.EEFIdeUiPlugin

All Implemented Interfaces:
  org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

    public class EEFIdeUiPlugin
    extends org.eclipse.emf.common.EMFPlugin

The plugin class of the bundle.

### Nested Class Summary

Nested Classes
`static class` `EEFIdeUiPlugin.Implementation` This class is used as the bundle activator of the plugin.

### Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

`org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper, org.eclipse.emf.common.EMFPlugin.OSGiDelegatingBundleActivator`

### Field Summary

Fields
`static EEFIdeUiPlugin` `INSTANCE` The sole instance of the plugin.
`static java.lang.String` `PLUGIN_ID` The identifier of the plugin.

### Fields inherited from class org.eclipse.emf.common.EMFPlugin

`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

### Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

### Constructor Summary

Constructors
Constructor and Description
`EEFIdeUiPlugin()` The constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EEFIdeUiPlugin.Implementation` `getPlugin()`
`org.eclipse.emf.common.util.ResourceLocator` `getPluginResourceLocator()`

### Methods inherited from class org.eclipse.emf.common.EMFPlugin

`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

`getBaseURL, getImage, getString, getString, getString, getString`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

The identifier of the plugin.

See Also:
  Constant Field Values

#### INSTANCE

    public static final EEFIdeUiPlugin INSTANCE

The sole instance of the plugin.

### Constructor Detail

#### EEFIdeUiPlugin

    public EEFIdeUiPlugin()

The constructor.

### Method Detail

#### getPluginResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

Specified by:
  `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`
See Also:
  `EMFPlugin.getPluginResourceLocator()`

#### getPlugin

    public static EEFIdeUiPlugin.Implementation getPlugin()